Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ml.world.basic
Class BasicAgent

    java.lang.Object
      org.encog.ml.world.basic.BasicAgent

All Implemented Interfaces:
  WorldAgent

    public class BasicAgent

extends Object
implements WorldAgent

Constructor Summary
`BasicAgent()`

Method Summary
`State` | `getCurrentState()`
`AgentPolicy` | `getPolicy()`
`World` | `getWorld()`
`void` | `setAgentPolicy(AgentPolicy p)`
`void` | `setCurrentState(State s)`
`void` | `setWorld(World world)`
`void` | `tick()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicAgent

    public BasicAgent()

Method Detail

### getCurrentState

    public State getCurrentState()

  Specified by:
    `getCurrentState` in interface `WorldAgent`

### setCurrentState

    public void setCurrentState(State s)

  Specified by:
    `setCurrentState` in interface `WorldAgent`

### getPolicy

    public AgentPolicy getPolicy()

  Specified by:
    `getPolicy` in interface `WorldAgent`

### setAgentPolicy

    public void setAgentPolicy(AgentPolicy p)

  Specified by:
    `setAgentPolicy` in interface `WorldAgent`

### getWorld

    public World getWorld()

  Specified by:
    `getWorld` in interface `WorldAgent`
  Returns:
    the world

### setWorld

    public void setWorld(World world)

  Specified by:
    `setWorld` in interface `WorldAgent`
  Parameters:
    `world` - the world to set

### tick

    public void tick()

  Specified by:
    `tick` in interface `WorldAgent`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.